EntityMode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum EntityMode

    java.lang.Object
      java.lang.Enum<EntityMode>
          org.hibernate.EntityMode

All Implemented Interfaces:
  Serializable, Comparable<EntityMode>

    public enum EntityMode

extends Enum<EntityMode>

Defines the representation modes available for entities.

Enum Constant Summary
`MAP`
`POJO`

Method Summary
`static EntityMode` | `parse(String entityMode)` Legacy-style entity-mode name parsing.
`String` | `toString()`
`static EntityMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EntityMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POJO

    public static final EntityMode POJO

### MAP

    public static final EntityMode MAP

Method Detail

### values

    public static EntityMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EntityMode c : EntityMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EntityMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<EntityMode>`

### parse

    public static EntityMode parse(String entityMode)

  Legacy-style entity-mode name parsing. Case insensitive

  Parameters:
    `entityMode` - The entity mode name to evaluate
  Returns:
    The appropriate entity mode; `null` for incoming `entityMode` param is treated by returning `POJO`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.